# Class FileSystemContributor

java.lang.Object
org.eclipse.ui.ide.fileSystem.FileSystemContributor

public abstract class FileSystemContributor extends Object
The abstract base class for all UI file system contributors. This class provides the infrastructure for defining a contributor and fulfills the contract specified by the `org.eclipse.ui.ide.filesystemSupport` extension point.

Since:
  3.2
See Also:
  - `IFileSystem`

## Constructor Summary

Constructors
Constructor
Description
`FileSystemContributor()`

## Method Summary

Modifier and Type
Method
Description
`abstract URI`
`browseFileSystem(String initialPath, Shell shell)`
Browse the file system for a URI to display to the user.
`URI`
`getURI(String string)`
Return a URI for the supplied String from the user.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileSystemContributor

public FileSystemContributor()

## Method Details

### browseFileSystem

public abstract URI browseFileSystem(String initialPath, Shell shell)
Browse the file system for a URI to display to the user.

Parameters:
  `initialPath` - The path to initialize the selection with.
  `shell` - The shell to parent any required dialogs from
Returns:
  URI if the file system is browsed successfully or `null` if a URI could not be determined.

### getURI

public URI getURI(String string)
Return a URI for the supplied String from the user.

Parameters:
  `string` - string to convert
Returns:
  URI or `null` if the string is invalid.